Update
curl --request PATCH \
--url https://{defaultHost}/v1/notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": {
"body": "This is different text for this note!"
}
}
'import requests
url = "https://{defaultHost}/v1/notes/{id}"
payload = { "note": { "body": "This is different text for this note!" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: {body: JSON.stringify('This is different text for this note!')}})
};
fetch('https://{defaultHost}/v1/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "44a22147-b5ab-4bd0-83c0-324670b62753",
"object": "note",
"body": "This is different text for this note!",
"metadata": {},
"notable_id": "8bad6991-2bfa-4462-bc69-a819a1a068d3",
"notable_type": "customer",
"created_at": 1782485853,
"updated_at": 1782485853
}Notes
Update
Updates a specific note.
PATCH
/
v1
/
notes
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The type of object that this note belongs to – one of customer, order, or subscription.
The ID of the object that this note belongs to.
The body of the note.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I